Bug 883737 - [abrt] scim-1.4.14-3.fc18: PyObject_Call: Process /usr/lib64/scim-1.0/scim-launcher was killed by signal 11 (SIGSEGV)
Summary: [abrt] scim-1.4.14-3.fc18: PyObject_Call: Process /usr/lib64/scim-1.0/scim-la...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: scim
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a6b2c441e5bbbd226ef317ebb1d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-05 07:56 UTC by Desktop7.org
Modified: 2013-01-12 00:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-12 00:26:45 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (16.74 KB, text/plain)
2012-12-05 07:56 UTC, Desktop7.org
no flags Details
File: cgroup (135 bytes, text/plain)
2012-12-05 07:56 UTC, Desktop7.org
no flags Details
File: core_backtrace (1.58 KB, text/plain)
2012-12-05 07:56 UTC, Desktop7.org
no flags Details
File: dso_list (9.40 KB, text/plain)
2012-12-05 07:56 UTC, Desktop7.org
no flags Details
File: environ (1.34 KB, text/plain)
2012-12-05 07:57 UTC, Desktop7.org
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-05 07:57 UTC, Desktop7.org
no flags Details
File: maps (44.33 KB, text/plain)
2012-12-05 07:57 UTC, Desktop7.org
no flags Details
File: open_fds (733 bytes, text/plain)
2012-12-05 07:57 UTC, Desktop7.org
no flags Details
File: proc_pid_status (924 bytes, text/plain)
2012-12-05 07:57 UTC, Desktop7.org
no flags Details
File: smolt_data (2.39 KB, text/plain)
2012-12-05 07:57 UTC, Desktop7.org
no flags Details
File: var_log_messages (984 bytes, text/plain)
2012-12-05 07:57 UTC, Desktop7.org
no flags Details

Description Desktop7.org 2012-12-05 07:56:47 UTC
Version-Release number of selected component:
scim-1.4.14-3.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/lib64/scim-1.0/scim-launcher -d -c simple -e all -f socket --no-stay -d
crash_function: PyObject_Call
executable:     /usr/lib64/scim-1.0/scim-launcher
kernel:         3.6.7-5.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 PyObject_Call at /usr/src/debug/Python-2.7.3/Objects/abstract.c:2527
 #1 PyEval_CallObjectWithKeywords at /usr/src/debug/Python-2.7.3/Python/ceval.c:3967
 #2 PyIMEngineFactory::reload_config at scim-python-factory.cpp:277
 #3 emit at ./scim_signals.h:367
 #4 scim::ConfigBase::reload at scim_config_base.cpp:150
 #5 reload at scim_simple_config.cpp:459
 #6 scim::SimpleConfig::reload at scim_simple_config.cpp:447
 #7 SocketFrontEnd::socket_reload_config at scim_socket_frontend.cpp:1167
 #8 SocketFrontEnd::socket_receive_callback at scim_socket_frontend.cpp:523
 #9 emit at ./scim_signals.h:482

Comment 1 Desktop7.org 2012-12-05 07:56:51 UTC
Created attachment 658034 [details]
File: backtrace

Comment 2 Desktop7.org 2012-12-05 07:56:53 UTC
Created attachment 658035 [details]
File: cgroup

Comment 3 Desktop7.org 2012-12-05 07:56:56 UTC
Created attachment 658036 [details]
File: core_backtrace

Comment 4 Desktop7.org 2012-12-05 07:56:58 UTC
Created attachment 658037 [details]
File: dso_list

Comment 5 Desktop7.org 2012-12-05 07:57:01 UTC
Created attachment 658038 [details]
File: environ

Comment 6 Desktop7.org 2012-12-05 07:57:03 UTC
Created attachment 658039 [details]
File: limits

Comment 7 Desktop7.org 2012-12-05 07:57:06 UTC
Created attachment 658040 [details]
File: maps

Comment 8 Desktop7.org 2012-12-05 07:57:08 UTC
Created attachment 658041 [details]
File: open_fds

Comment 9 Desktop7.org 2012-12-05 07:57:16 UTC
Created attachment 658042 [details]
File: proc_pid_status

Comment 10 Desktop7.org 2012-12-05 07:57:18 UTC
Created attachment 658043 [details]
File: smolt_data

Comment 11 Desktop7.org 2012-12-05 07:57:20 UTC
Created attachment 658044 [details]
File: var_log_messages

Comment 12 Peng Wu 2012-12-07 01:04:26 UTC
Please use `yum remove scim-python` to work around this bug.

Comment 13 Jens Petersen 2012-12-07 06:28:21 UTC
Is scim-python still useful?

Otherwise it should probably be deprecated and obsoleted in scim.

Comment 14 Peng Wu 2012-12-10 07:09:29 UTC
scim-python is deprecated and obsoleted in scim.

Comment 15 Fedora Update System 2012-12-10 07:26:27 UTC
scim-1.4.14-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/scim-1.4.14-4.fc18

Comment 16 Fedora Update System 2012-12-10 21:10:55 UTC
Package scim-1.4.14-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing scim-1.4.14-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20055/scim-1.4.14-4.fc18
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2013-01-12 00:26:47 UTC
scim-1.4.14-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.